org.jboss.jca.common.metadata.ds

## Class DriverImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.ds.DriverImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.ds.Driver, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class DriverImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.ds.Driver

  A DriverImpl.
  Author:
    Stefano Maestri
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.Driver

      `org.jboss.jca.common.api.metadata.ds.Driver.Attribute, org.jboss.jca.common.api.metadata.ds.Driver.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DriverImpl(java.lang.String name, java.lang.Integer majorVersion, java.lang.Integer minorVersion, java.lang.String module, java.lang.String driverClass, java.lang.String dataSourceClass, java.lang.String xaDataSourceClass)` Create a new DriverImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDataSourceClass()` Get the dataSourceClass.
    `java.lang.String` | `getDriverClass()` Get the driverClass.
    `java.lang.Integer` | `getMajorVersion()` Get the MajorVersion
    `java.lang.Integer` | `getMinorVersion()` Get the MinorVersion
    `java.lang.String` | `getModule()` Get the module.
    `java.lang.String` | `getName()` Get the name.
    `java.lang.String` | `getXaDataSourceClass()` Get the xsDataSourceClass.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DriverImpl

          public DriverImpl(java.lang.String name,
                            java.lang.Integer majorVersion,
                            java.lang.Integer minorVersion,
                            java.lang.String module,
                            java.lang.String driverClass,
                            java.lang.String dataSourceClass,
                            java.lang.String xaDataSourceClass)
                     throws org.jboss.jca.common.api.validator.ValidateException

      Create a new DriverImpl.
      Parameters:
        `name` - name
        `majorVersion` - majorVersion
        `minorVersion` - minorVersion
        `module` - module
        `driverClass` - driverClass
        `dataSourceClass` - xaDataSourceClass
        `xaDataSourceClass` - xaDataSourceClass
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case name is not specified

  - ### Method Detail

    - #### getName

          public final java.lang.String getName()

      Get the name.
      Specified by:
        `getName` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the name.

    - #### getModule

          public final java.lang.String getModule()

      Get the module.
      Specified by:
        `getModule` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the module.

    - #### getDriverClass

          public final java.lang.String getDriverClass()

      Get the driverClass.
      Specified by:
        `getDriverClass` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the driverClass.

    - #### getDataSourceClass

          public final java.lang.String getDataSourceClass()

      Get the dataSourceClass.
      Specified by:
        `getDataSourceClass` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the value

    - #### getXaDataSourceClass

          public final java.lang.String getXaDataSourceClass()

      Get the xsDataSourceClass.
      Specified by:
        `getXaDataSourceClass` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the xsDataSourceClass.

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Description copied from interface: `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

    - #### getMajorVersion

          public java.lang.Integer getMajorVersion()

      Description copied from interface: `org.jboss.jca.common.api.metadata.ds.Driver`
      Get the MajorVersion
      Specified by:
        `getMajorVersion` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the MajorVersion.

    - #### getMinorVersion

          public java.lang.Integer getMinorVersion()

      Description copied from interface: `org.jboss.jca.common.api.metadata.ds.Driver`
      Get the MinorVersion
      Specified by:
        `getMinorVersion` in interface `org.jboss.jca.common.api.metadata.ds.Driver`
      Returns:
        the MinorVersion.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)